#
# spec file for package sysstat (Version 4.0.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         sysstat
Copyright:    GPL
Group:        Utilities/System
Autoreqprov:  on
Version:      4.0.1
Release:      28
Source0:      %{name}-%{version}.tar.bz2
Source1:      %{name}-SuSE.tar.bz2
Patch:        %{name}-%{version}.patch
URL:          http://perso.wanadoo.fr/sebastien.godard/
BuildRoot:    %{_tmppath}/%{name}-root
Summary:      sar and iostat commands for Linux

%description
sar and iostat commands for Linux.
The sar command collects and reports system activity information. The iostat command reports CPU statistics and I/O statistics for tty devices and disks.  The information collected by sar and iostat can also be saved in a file in a binary format for future inspection.  Both commands now support SMP machines when displaying CPU utilization.

Authors:
--------
    Sebastien Godard <sebastien.godard@wanadoo.fr>

SuSE series: ap

%prep
%setup -a 1
%patch

%build
make 

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/lib \
           $RPM_BUILD_ROOT/usr/bin \
           $RPM_BUILD_ROOT%{_mandir}/man1 \
           $RPM_BUILD_ROOT%{_mandir}/man8 \
           $RPM_BUILD_ROOT/var/log/sa
make DESTDIR=$RPM_BUILD_ROOT \
     MAN1_DIR=%{_mandir}/man1 \
     MAN8_DIR=%{_mandir}/man8 \
     install
cp -a SuSE/* $RPM_BUILD_ROOT

%preun
rm -f /var/log/sa/*

%post
sbin/insserv etc/init.d/sysstat 
etc/init.d/sysstat b

%postun
sbin/insserv etc/init.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES COPYING CREDITS README TODO
%doc %{_mandir}/*/*
%attr(600,root,root) %config /etc/cron.d/*
/etc/init.d/sysstat
/usr/bin/*
/usr/lib/sa
/usr/share/locale/*/*/sysstat.mo
/var/log/sa

%changelog -n sysstat
* Mon Aug 20 2001 - adostal@suse.cz
- update to version 4.0.1
- update patch
* Tue May 15 2001 - pblaha@suse.cz
- add file lock for scripts sa1 and sa2 for fix bug #7861
* Thu May 03 2001 - pblaha@suse.cz
- use sa.%%Y_%%m_%%d format for sar command
* Sun Apr 15 2001 - schwab@suse.de
- Use getpagesize() instead of PAGE_SHIFT.
* Thu Apr 12 2001 - pblaha@suse.cz
- update on 4.0.0
* Wed Mar 21 2001 - schwab@suse.de
- Use getpagesize() instead of PAGE_SHIFT.
* Thu Dec 07 2000 - nadvornik@suse.de
- fixed init script
* Wed Dec 06 2000 - nadvornik@suse.cz
- fixed sa1 and sa2 scripts
- fixed cron files
* Sat Dec 02 2000 - smid@suse.cz
- new version 3.3.2
* Thu Oct 19 2000 - smid@suse.cz
- new version 3.3.1
* Thu Jun 08 2000 - nadvornik@suse.cz
- fixed clean section
* Fri May 05 2000 - smid@suse.cz
- upgrade to 3.2
- buildroot added
* Tue Jan 18 2000 - nashif@suse.de
- Initial release (Version 2.2)
